package com.trade.service.thirdparty.sop.dto;

/**
 * <p>
 * 失信被执行人列表信息
 * </p>
 */
public class CShiXinData {

    private static final long serialVersionUID = 1L;
    private Long id;
    /**
     * 案号
     */
    private String caseNo;
    /**
     * 执行法院
     */
    private String executeCourt;
    /**
     * 执行依据文号
     */
    private String executeNo;
    /**
     * 涉案金额(元)
     */
    private String amount;
    /**
     * 履行情况
     */
    private String executeStatus;
    /**
     * 失信行为
     */
    private String actionRemark;
    /**
     * 立案日期，精确到天，如“2022-01-01”
     */
    private String registerDate;
    /**
     * 发布日期，精确到天，如“2022-01-01”
     */
    private String publicDate;

    public String getCaseNo() {
        return caseNo;
    }

    public void setCaseNo(String caseNo) {
        this.caseNo = caseNo;
    }

    public String getExecuteCourt() {
        return executeCourt;
    }

    public void setExecuteCourt(String executeCourt) {
        this.executeCourt = executeCourt;
    }

    public String getExecuteNo() {
        return executeNo;
    }

    public void setExecuteNo(String executeNo) {
        this.executeNo = executeNo;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public String getExecuteStatus() {
        return executeStatus;
    }

    public void setExecuteStatus(String executeStatus) {
        this.executeStatus = executeStatus;
    }

    public String getActionRemark() {
        return actionRemark;
    }

    public void setActionRemark(String actionRemark) {
        this.actionRemark = actionRemark;
    }

    public String getRegisterDate() {
        return registerDate;
    }

    public void setRegisterDate(String registerDate) {
        this.registerDate = registerDate;
    }

    public String getPublicDate() {
        return publicDate;
    }

    public void setPublicDate(String publicDate) {
        this.publicDate = publicDate;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
}
